/*
*  Rubrica
*  file: prefer-revert.h
*
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __RUBRICA_PREFERENCES_REVERT_H
#define __RUBRICA_PREFERENCES_REVERT_H

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>
#include <gconf/gconf-client.h>

#include "prefer.h"

/* revert funcions: 
   when revert button is clicked, the values stored in 
   revert change set are replaced to the current values
*/
void rubrica_preferences_revert_check_button(GtkWidget *dialog, 
					     GConfChangeSet* cs, 
					     gchar* check_key);

void rubrica_preferences_revert_radio_buttons(GtkWidget *dialog, 
					      GConfChangeSet* cs, 
					      gchar* key_radio1, 
					      gchar* key_radio2);

void rubrica_preferences_revert_checked_entry(GtkWidget *dialog, 
					      GConfChangeSet* cs, 
					      gchar* check_key,
					      gchar* entry_key);

void rubrica_preferences_revert_spin_button(GtkWidget *dialog,
					    GConfChangeSet* cs, 
					    gchar* check_key,
					    gchar* spin_key);

void rubrica_preferences_revert_entry(GtkWidget *dialog, 
				      GConfChangeSet* cs, 
				      gchar* entry_key);

void rubrica_preferences_revert_combo(GtkWidget *dialog, 
				      GConfChangeSet* cs, 
				      gchar* entry_key);

void rubrica_preferences_revert_personal_data(GtkWidget *prefbox);
void rubrica_preferences_revert_job_data(GtkWidget *prefbox);
void rubrica_preferences_revert_notes_data(GtkWidget *prefbox);


#endif
